## syslog-ng-1.0.6.tar.gz

=== src/Makefile ===
#
# $Id: Makefile,v 1.28 1999/03/15 08:55:45 bazsi Exp $
#

VERSION=`cat ../VERSION`

#################################
# configure paths
#################################
PREFIX=/usr/local
SBINDIR=$(PREFIX)/sbin
CONFDIR=/etc/syslog-ng
MANDIR=$(PREFIX)/man8

#################################
# tools to use (gcc/bison/flex recommended)
#################################
CC=gcc
#CC=cc
INSTALL=install 
YACC=yacc 
FLEX=flex

#################################
# use one of the following here:
#   __LINUX__  for compiling on linux
#   __BSD__    for compiling on BSD
#   __SUNOS26__  for compiling on Solaris 2.6 or later
#   __SUNOS25__  for compiling on Solaris 2.5.1 or earlier
#   __AIX__    for compiling on AIX 4.3.1
# if you have a system not listed
# above, you should add a config
# section to config.h, and add 
# the define here
#################################
PLATFORM=__LINUX__
#PLATFORM=__AIX__
#PLATFORM=__BSD__
#PLATFORM=__SUNOS26__
#PLATFORM=__SUNOS25__


#################################
# CFLAGS
#################################
# debugging
#DEBUG=-DDEBUG
CFLAGS=-g -Wall -D$(PLATFORM) -DSYSLOGNG_VERSION=\"$(VERSION)\" $(DEBUG)
#CFLAGS=-Wall -O2 -D$(PLATFORM) -DSYSLOGNG_VERSION=\"$(VERSION)\"

#################################
# Libraries
#################################
# Solaris, SunOS 2.6 or later
#LIBS=-lnsl -lsocket -ll -ldoor -lpthread
# Solaris 2.5.1 or earlier
#LIBS=-lnsl -lsocket -ll
# Linux or BSDi
LIBS=-ll # some Linux installations (SuSE, RedHat) requires -lfl here.
#-L. -lefence

#################################
# No modification below this part
#################################

OBJSSYSLOG=y.tab.o lex.yy.o var.o cfgfile.o log.o hash.o sha1.o main.o htcp.o utils.o ftable.o afinet.o afunix.o affile.o afuser.o afpipe.o afstreams.o afdoor.o
OBJSGENH0=genh0.o hash.o sha1.o utils.o
OBJSCHECKHASH=checkhash.o hash.o sha1.o utils.o

all: syslog-ng genh0 checkhash

install: syslog-ng genh0 checkhash
	$(INSTALL) syslog-ng $(SBINDIR)
	$(INSTALL) genh0 $(SBINDIR)
	$(INSTALL) checkhash $(SBINDIR)

syslog-ng: $(OBJSSYSLOG)
	$(CC) $(CFLAGS) $(OBJSSYSLOG) -o $@ $(LIBS)

genh0: $(OBJSGENH0)
	$(CC) $(CFLAGS) $(OBJSGENH0) -o $@ $(LIBS)

checkhash: $(OBJSCHECKHASH)
	$(CC) $(CFLAGS) $(OBJSCHECKHASH) -o $@ $(LIBS)

y.tab.c: yac.y
	$(YACC) -d yac.y

lex.yy.c: lex.l
	$(FLEX) lex.l

clean:
	rm -f *.o lex.yy.c y.tab.* syslog-ng y.output core *.ln *.core genh0 checkhash *~

dep:
	$(CC) $(INCLUDE) -MM *.c >.depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/control ===
Source: syslog-ng
Section: base
Priority: optional
Maintainer: Balazs Scheidler <bazsi@balabit.hu>
Standards-Version: 2.4.0.0

Package: syslog-ng
Architecture: i386
Depends: ${shlibs:Depends}, sysklogd
Description: New-generation system logging daemon
 This is syslog-ng, which stands for syslog-new-generation, a new,
 enhanced system logging daemon.
